goocanvas.Polyline
Prev | PyGooCanvas Standard Canvas Items Reference | Next

## goocanvas.Polyline

goocanvas.Polyline — A polyline item (a series of lines with optional arrows).

## Synopsis

    class goocanvas.Polyline(goocanvas.ItemSimple):
        goocanvas.Polyline(properties=None)

    Functions
        def goocanvas.polyline_new_line(parent, x1, y1, x2, y2, properties)

## Ancestry

    +-- gobject.GObject
    	+-- goocanvas.ItemSimple
    		+-- goocanvas.Polyline

## goocanvas.Polyline Properties

"arrow-length" | Read/Write | The length of the arrows, as a multiple of the line width. Allowed values: >= 0. Default value: 5.
"arrow-tip-length" | Read/Write | The length of the arrow tip, as a multiple of the line width. Allowed values: >= 0. Default value: 4.
"arrow-width" | Read/Write | The width of the arrows, as a multiple of the line width. Allowed values: >= 0. Default value: 4.
"close-path" | Read/Write | If the last point should be connected to the first. Default value: False.
"end-arrow" | Read/Write | If an arrow should be displayed at the end of the polyline. Default value: False.
"height" | Read/Write | The height of the polyline. Allowed values: >= 0. Default value: 0.
"points" | Read/Write | The array of points.
"start-arrow" | Read/Write | If an arrow should be displayed at the start of the polyline. Default value: False.
"width" | Read/Write | The width of the polyline. Allowed values: >= 0. Default value: 0.
"x" | Read/Write | The x coordinate of the left-most point of the polyline. Default value: 0.
"y" | Read/Write | The y coordinate of the top-most point of the polyline. Default value: 0.

## Implemented Interfaces

`goocanvas.Polyline` implements `goocanvas.Item`

## Description

`goocanvas.Polyline` represents a polyline item, which is a series of one or more lines, with optional arrows at either end. It is a subclass of `goocanvas.ItemSimple` and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width". It also implements the `goocanvas.Item` interface, so you can use the `goocanvas.Item` functions such as `goocanvas.Item.raise_()` and `goocanvas.Item.rotate()`

## Constructor

        goocanvas.Polyline(properties=None)

`properties` : | A comma separated list of properties.
Returns : | A new `goocanvas.Polyline`

Creates a new canvas polyline item.

Here's an example showing how to create a filled triangle with vertices at (100,100), (300,100), and (200,300).

    	p_points = goocanvas.Points([(100.0, 100.0), (300.0, 100.0), (200.0, 300.0)])
    	polyline = goocanvas.Polyline(points=p_points, close_path=True, stroke_color="red", fill_color="blue")

## Functions

### goocanvas.polyline_new_line

        def goocanvas.polyline_new_line(parent, x1, y1, x2, y2, properties)

`parent` : | The parent item, or None.
`x1` : | The x coordinate of the start of the line.
`y1` : | The y coordinate of the start of the line.
`x2` : | The x coordinate of the end of the line.
`y2` : | The y coordinate of the end of the line.
`properties` : | A comma separated list of properties.

Creates a new polyline item with a single line.

Prev | Up | Next
goocanvas.Path | Home | goocanvas.Rect